JSONObject.Null (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.json
[Java] Class JSONObject.Null

    java.lang.Object
      org.codehaus.groovy.grails.web.json.JSONObject.Null

    public static final class JSONObject.Null

JSONObject.NULL is equivalent to the value that JavaScript calls null, whilst Java's null is equivalent to the value that JavaScript calls undefined.

Method Summary
`boolean` | `asBoolean()` Null in JSON should evaluate to false
`protected java.lang.Object` | `clone()` There is only intended to be a single instance of the NULL object, so the clone method returns itself.
`boolean` | `equals(java.lang.Object object)` A Null object is equal to the null value and to itself.
`java.lang.String` | `toString()` Get the "null" string value.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### asBoolean

    public boolean asBoolean()

  Null in JSON should evaluate to false
  Returns:
    false

### clone

    @java.lang.Overrideprotected final Object clone() {
    protected final java.lang.Object clone()

  There is only intended to be a single instance of the NULL object, so the clone method returns itself.
  Returns:
    NULL.

### equals

    @java.lang.Overridepublic boolean equals(Object object) {
    public boolean equals(java.lang.Object object)

  A Null object is equal to the null value and to itself.
  Parameters:
    `object` - An object to test for nullness.
  Returns:
    true if the object parameter is the JSONObject.NULL object or null.

### toString

    @java.lang.Overridepublic String toString() {
    public java.lang.String toString()

  Get the "null" string value.
  Returns:
    The string "null".

Groovy Documentation